<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__sysint__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_sysint_t</compoundname>
    <includes local="no">cy_sysint.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref></type>
        <definition>IRQn_Type cy_stc_sysint_t::intrSrc</definition>
        <argsstring />
        <name>intrSrc</name>
        <briefdescription>
<para>Interrupt source. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" bodystart="329" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" line="329" />
      </memberdef>
      <memberdef id="structcy__stc__sysint__t_1a6b8e5744e04c2bb15c10afdb8a96d6b7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref></type>
        <definition>cy_en_intr_t cy_stc_sysint_t::cm0pSrc</definition>
        <argsstring />
        <name>cm0pSrc</name>
        <briefdescription>
<para>Maps cm0pSrc device interrupt to intrSrc. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" bodystart="331" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" line="331" />
      </memberdef>
      <memberdef id="structcy__stc__sysint__t_1a97b1a2acb12257a8b213a5e971ceae3d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sysint_t::intrPriority</definition>
        <argsstring />
        <name>intrPriority</name>
        <briefdescription>
<para>Interrupt priority number (Refer to __NVIC_PRIO_BITS) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" bodystart="333" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" line="333" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Initialization configuration structure for a single interrupt channel. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="334" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" bodystart="328" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" line="328" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__sysint__t_1a6b8e5744e04c2bb15c10afdb8a96d6b7" virt="non-virtual"><scope>cy_stc_sysint_t</scope><name>cm0pSrc</name></member>
      <member prot="public" refid="structcy__stc__sysint__t_1a97b1a2acb12257a8b213a5e971ceae3d" virt="non-virtual"><scope>cy_stc_sysint_t</scope><name>intrPriority</name></member>
      <member prot="public" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950" virt="non-virtual"><scope>cy_stc_sysint_t</scope><name>intrSrc</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>